aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-03-02 18:38:23 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-03-02 18:38:23 +0100
commit568a66cad4f28b375d7e88eca9d1f224ad10a9a6 (patch)
tree7318c4309e569b2b25e3e73a0cdf948cf17d417e
parent28925d1d95d7bde1322b53d1153de35349e2cd4c (diff)
Replace manual fetcher with jjb variant
This replaces the old jenkins job with a new one. Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I7970914b9a7daf964eb2a942d76571dd90934009
-rw-r--r--jjb/pre-fetch/include-prefetch.sh24
-rw-r--r--jjb/pre-fetch/include-rsync-prefetch.sh2
2 files changed, 13 insertions, 13 deletions
diff --git a/jjb/pre-fetch/include-prefetch.sh b/jjb/pre-fetch/include-prefetch.sh
index ddaf40ea..6d15ba99 100644
--- a/jjb/pre-fetch/include-prefetch.sh
+++ b/jjb/pre-fetch/include-prefetch.sh
@@ -3,12 +3,12 @@
#set -x
set +e
#
-export BOARDS="qemux86-64 raspberrypi3 intel-corei7-64 h3ulcb-nogfx m3ulcb-nogfx dra7xx-evm qemuarm qemuarm64"
+export BOARDS="qemux86-64 raspberrypi4 raspberrypi3 intel-corei7-64 h3ulcb-nogfx m3ulcb-nogfx dra7xx-evm qemuarm qemuarm64 bbe"
# check: dra7xx-evm dragonboard-410c wandboard
-export FEATURES="agl-demo agl-devel agl-audio-4a-framework agl-netboot"
+export FEATURES="agl-demo agl-devel agl-netboot agl-profile-graphical-html5"
export FEATURES_nogfx="agl-netboot agl-devel"
export TARGETIMAGE="agl-demo-platform-crosssdk"
-export TARGETIMAGE_nogfx="agl-image-ivi-crosssdk"
+export TARGETIMAGE_nogfx="agl-image-minimal"
mkdir -p mirror
mkdir -p sstate
@@ -28,24 +28,24 @@ repo sync -j8
for i in $BOARDS ; do
pushd .
if test x"porter-nogfx" = x"$i" ; then
- FEATURES="${FEATURES_nogfx}"
- TARGETIMAGE="${TARGETIMAGE_nogfx}"
+ FEATURES="${FEATURES_nogfx}"
+ TARGETIMAGE="${TARGETIMAGE_nogfx}"
fi
if test x"m3ulcb-nogfx" = x"$i" ; then
- FEATURES="${FEATURES_nogfx}"
- TARGETIMAGE="${TARGETIMAGE_nogfx}"
+ FEATURES="${FEATURES_nogfx}"
+ TARGETIMAGE="${TARGETIMAGE_nogfx}"
fi
if test x"h3ulcb-nogfx" = x"$i" ; then
- FEATURES="${FEATURES_nogfx}"
- TARGETIMAGE="${TARGETIMAGE_nogfx}"
+ FEATURES="${FEATURES_nogfx}"
+ TARGETIMAGE="${TARGETIMAGE_nogfx}"
fi
- source meta-agl/scripts/aglsetup.sh -m ${i} -b build-${i} ${FEATURES}
+ source meta-agl/scripts/aglsetup.sh -m ${i} -b build-${i} ${FEATURES}
ln -sf ../../mirror downloads
ln -sf ../../sstate sstate-cache
echo 'BB_GENERATE_MIRROR_TARBALLS = "1"' >> conf/local.conf
#recipe tar-native-1.28-r0: task do_populate_sysroot_setscene
- bitbake -k tar-native || true
- bitbake -c fetchall ${TARGETIMAGE} -k || true
+ #bitbake -k tar-native || true
+ bitbake --runall=fetch ${TARGETIMAGE} -k || true
popd
done
diff --git a/jjb/pre-fetch/include-rsync-prefetch.sh b/jjb/pre-fetch/include-rsync-prefetch.sh
index 7da13434..6269c39d 100644
--- a/jjb/pre-fetch/include-rsync-prefetch.sh
+++ b/jjb/pre-fetch/include-rsync-prefetch.sh
@@ -8,6 +8,6 @@ set -e
export RSYNCSRC="$(pwd)/mirror/"
export RSYNCDST="jenkins-slave@10.30.72.8:/srv/download/AGL/mirror/"
-echo " rsync -avr -e \"ssh -o StrictHostKeyChecking=no\" $RSYNCSRC $RSYNCDST "
+rsync -avr -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC $RSYNCDST
exit 0 \ No newline at end of file